// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //     // ATTRIBUTES:
        //     default: null,        // The default value will be used only when the component attaching
        //                           // to a node for the first time
        //     type: cc.SpriteFrame, // optional, default is typeof default
        //     serializable: true,   // optional, default is true
        // },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },

        storeMenu:{
            default:null,
            type:cc.Node
        },

        bottleStore:{
            default:null,
            type:cc.Node
        },

        arrowStore:{
            default:null,
            type:cc.Node
        },
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    goBottleStore(){
        this.storeMenu.active = false;
        this.bottleStore.active = true;
    },

    goStoreMenu(){
        this.storeMenu.active = true;
        this.bottleStore.active = false;
        this.arrowStore.active = false;
    },

    goArrowStore(){
        this.storeMenu.active = false;
        this.arrowStore.active = true;
    },

    goStorePage(){
        this.storeMenu.active = false;
        this.arrowStore.active = true;
    },

    // update (dt) {},
});
